Проекты

Get User Projects

get

Получение списка проектов текущего пользователя.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
skipintegerOptional

Количество пропускаемых записей

Default: 0
limitinteger · min: 1 · max: 100Optional

Максимальное количество записей

Default: 100
Responses
chevron-right
200

Successful Response

application/json

Схема ответа с данными проекта

idintegerRequired
user_idintegerRequired
subdomainstringRequired
namestringRequired
descriptionany ofRequired
stringOptional
or
nullOptional
created_atstring · date-timeRequired
updated_atstring · date-timeRequired
get
/api/projects

Create Project

post

Создание нового проекта.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

Схема для создания нового проекта

subdomainstring · min: 3 · max: 63Required

Уникальный поддомен проекта (только латиница, цифры и дефисы)

namestring · min: 1 · max: 255Required

Название проекта

descriptionany ofOptional

Описание проекта

string · max: 1000Optional
or
nullOptional
Responses
post
/api/projects

Check Subdomain Availability

get

Проверка доступности поддомена.

Query parameters
subdomainstring · min: 3 · max: 63Required
Responses
chevron-right
200

Successful Response

application/json

Схема ответа на проверку доступности поддомена

subdomainstringRequired
availablebooleanRequired
messageany ofOptional
stringOptional
or
nullOptional
get
/api/projects/check-subdomain

Get Project

get

Получение проекта по ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
project_idintegerRequired
Responses
chevron-right
200

Successful Response

application/json

Схема ответа с данными проекта

idintegerRequired
user_idintegerRequired
subdomainstringRequired
namestringRequired
descriptionany ofRequired
stringOptional
or
nullOptional
created_atstring · date-timeRequired
updated_atstring · date-timeRequired
get
/api/projects/{project_id}

Delete Project

delete

Удаление проекта.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
project_idintegerRequired
Responses
delete
/api/projects/{project_id}

No content

Update Project

patch

Обновление проекта.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
project_idintegerRequired
Body

Схема для обновления проекта

subdomainany ofOptional

Уникальный поддомен проекта (только латиница, цифры и дефисы)

string · min: 3 · max: 63Optional
or
nullOptional
nameany ofOptional

Название проекта

string · min: 1 · max: 255Optional
or
nullOptional
descriptionany ofOptional

Описание проекта

string · max: 1000Optional
or
nullOptional
Responses
chevron-right
200

Successful Response

application/json

Схема ответа с данными проекта

idintegerRequired
user_idintegerRequired
subdomainstringRequired
namestringRequired
descriptionany ofRequired
stringOptional
or
nullOptional
created_atstring · date-timeRequired
updated_atstring · date-timeRequired
patch
/api/projects/{project_id}

Publish Project

post

Публикация проекта - генерация HTML файлов для страниц.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
project_idintegerRequired
Body

Схема запроса на публикацию проекта

page_idsany ofOptional

Список ID страниц для публикации. Если не указан, публикуются все страницы

integer[]Optional
or
nullOptional
Responses
chevron-right
200

Successful Response

application/json

Схема ответа на публикацию проекта

project_idintegerRequired
subdomainstringRequired
total_pagesintegerRequired
messagestringRequired
post
/api/projects/{project_id}/publish

Последнее обновление